View Issue Details

IDProjectCategoryView StatusLast Update
0005203SymmetricDSImprovementpublic2022-03-02 17:00
Reporterelong Assigned Toelong  
Prioritynormal 
Status resolvedResolutionfixed 
Product Version3.14.0 
Target Version3.14.0Fixed in Version3.14.0 
Summary0005203: Sync incoming load details to target node (table_reload_status, extract_request)
DescriptionSync incoming load details to target node using configuration tables of sym_table_reload_status and sym_extract_request. The tables will only sync between the nodes involved, over the "monitor" channel for monitoring the progress of an incoming load.
Tagsinitial/partial load

Relationships

related to 0005202 resolvedemiller SymmetricDS Pro Add Manage Incoming Loads screen 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.14 b5a2d078

2022-01-24 16:20:53

admin

Details Diff
0005203: Sync incoming load details to target node (table_reload_status,
extract_request)
Affected Issues
0005203
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/DatabaseUpgradeListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/OutgoingBatches.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: 3.14 f53a5f0e

2022-01-24 16:26:55

admin

Details Diff
0005203: move load-related tables to monitor channel Affected Issues
0005203
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

SymmetricDS: 3.14 f6412f58

2022-01-24 20:53:36

admin

Details Diff
0005203: use source_node_id on extract_request table Affected Issues
0005203
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeServiceSqlMap.java Diff File

SymmetricDS: 3.14 ac410081

2022-01-25 14:13:33

admin

Details Diff
0005203: allow cancel of load from remote node Affected Issues
0005203
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/ConfigurationChangedDatabaseWriterFilter.java Diff File

SymmetricDS: 3.14 9b3aa56b

2022-01-25 15:56:13

admin

Details Diff
0005203: use source_node_id with extract_request Affected Issues
0005203
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorServiceSqlMap.java Diff File

SymmetricDS: 3.14 91f30e01

2022-01-25 21:10:41

admin

Details Diff
0005203: indexes for extract_request Affected Issues
0005203
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: 3.14 e428a323

2022-03-02 16:16:19

admin

Details Diff
0005203: fix cancel of incoming load Affected Issues
0005203
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/ConfigurationChangedDatabaseWriterFilter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/InitialLoadService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriterConflictResolver.java Diff File

Issue History

Date Modified Username Field Change
2022-01-24 16:17 elong New Issue
2022-01-24 16:17 elong Status new => assigned
2022-01-24 16:17 elong Assigned To => elong
2022-01-24 16:17 elong Tag Attached: initial/partial load
2022-01-24 16:18 elong Project SymmetricDS Pro => SymmetricDS
2022-01-24 16:18 elong Relationship added related to 0005202
2022-01-24 17:00 admin Changeset attached => SymmetricDS 3.14 f53a5f0e
2022-01-24 17:00 admin Changeset attached => SymmetricDS 3.14 b5a2d078
2022-01-24 21:00 admin Changeset attached => SymmetricDS 3.14 f6412f58
2022-01-25 15:00 admin Changeset attached => SymmetricDS 3.14 ac410081
2022-01-25 16:00 admin Changeset attached => SymmetricDS 3.14 9b3aa56b
2022-01-25 16:03 elong Status assigned => resolved
2022-01-25 16:03 elong Resolution open => fixed
2022-01-25 16:03 elong Fixed in Version => 3.14.0
2022-01-25 22:00 admin Changeset attached => SymmetricDS 3.14 91f30e01
2022-03-02 17:00 admin Changeset attached => SymmetricDS 3.14 e428a323